Bug 1760182 - Unknown confg values are set
Summary: Unknown confg values are set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-release
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahnke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-10 05:18 UTC by Frank Büttner
Modified: 2019-10-27 00:12 UTC (History)
5 users (show)

Fixed In Version: epel-release-8-7.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 00:12:19 UTC
Type: Bug


Attachments (Terms of Use)
The messages of dnf (33.32 KB, image/png)
2019-10-10 05:18 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2019-10-10 05:18:37 UTC
Created attachment 1624181 [details]
The messages of dnf

Description of problem:
When install this package, dnf will report many unknown confg values. 


Version-Release number of selected component (if applicable):
epel-release-8.6


How reproducible:
Every time


Steps to Reproduce:
1. dnf -v update


Actual results:
Many messages about unknown values.

Expected results:
No such messages.


Additional info:
See the screen shot for details.

Comment 1 Stephen John Smoogen 2019-10-10 14:26:50 UTC
Hmm I am not able to replicate, but it might be because of how my system is set up. Could you do a 

[root@rhel8-1 ~]# rpm -qa | egrep 'dnf|yum' | sort
dnf-4.2.7-6.el8.noarch
dnf-data-4.2.7-6.el8.noarch
dnf-plugins-core-4.0.8-3.el8.noarch
dnf-plugin-spacewalk-2.8.5-11.module+el8.1.0+3455+3ddf2832.noarch
dnf-plugin-subscription-manager-1.25.17-1.el8.x86_64
libdnf-0.35.1-8.el8.x86_64
python3-dnf-4.2.7-6.el8.noarch
python3-dnf-plugins-core-4.0.8-3.el8.noarch
python3-dnf-plugin-spacewalk-2.8.5-11.module+el8.1.0+3455+3ddf2832.noarch
python3-libdnf-0.35.1-8.el8.x86_64
yum-4.2.7-6.el8.noarch

These are the plugins I have installed on my system after an install. I have also just tried a minimal install of CentOS-8 and it did not give the errors. Looking for where failovermethod is defined it is in python3-libdnf-0.22.5-5.el8_0.x86_64 and /usr/lib64/python3.6/site-packages/libdnf/conf.py

Comment 2 Kevin Fenzi 2019-10-10 14:53:15 UTC
Yes, we removed these from fedora a while back, so we should also for epel8. 

Note that these warnings only appear if you use '-v' with dnf, and they cause 0 problems, they are just warnings. 

smooge: you want to do a epel-release update? Or would you like me to? we just need to remove the 'failovermethod=priority' from all the repo files as dnf no longer supports it.

Comment 3 Stephen John Smoogen 2019-10-10 15:08:20 UTC
I will do so. Should I remove this from epel-7 also?

Comment 4 Kevin Fenzi 2019-10-10 16:12:54 UTC
No need. yum understands them, dnf doesn't. :)

Comment 5 Fedora Update System 2019-10-10 16:19:26 UTC
FEDORA-EPEL-2019-1897c58d3f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1897c58d3f

Comment 6 Fedora Update System 2019-10-11 23:27:33 UTC
epel-release-8-7.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1897c58d3f

Comment 7 Fedora Update System 2019-10-27 00:12:19 UTC
epel-release-8-7.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.